console.log("deploy functions...")

const { execSync } = require('child_process');
const path = require('path');
const fs = require('fs-extra');

const savedPath = process.cwd()
const rootPath = path.resolve(__dirname, "../..")
const deployPath = path.resolve(rootPath, "deploy")
const modulesPath = path.resolve(rootPath, "modules")
const xixiPath = path.resolve(rootPath, "xixi-core")
const jsFilter = (src, dest) => {
  const ext = path.extname(src)
  return (ext == '' || ext == '.js') //folder or javascript file?
}

console.log("clean")
fs.emptyDirSync(deployPath + "/functions/modules")

console.log("copy xixi-core")
fs.ensureDirSync(deployPath + "/functions/modules/xixi-core")
fs.copySync(xixiPath + "/functions", deployPath + "/functions/modules/xixi-core", { filter: jsFilter })

console.log("copy module1")
fs.ensureDirSync(deployPath + "/functions/modules/module1")
fs.copySync(modulesPath + "/module1/functions", deployPath + "/functions/modules/module1", { filter: jsFilter })

console.log("upload")
process.chdir(deployPath)
let stdout = execSync('firebase deploy --only functions', {stdio:[0,1,2]})

process.chdir(savedPath)
//console.log(process.cwd())
